/*  $Id: EventTree.h,v 1.3 1997/04/04 08:22:39 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_EVENTTREE_H
#define _PCE_EVENTTREE_H

PceExternalClass(ClassEventTree);
class PceEventTree :public PceObject
{
public:
  PceEventTree() :
    PceObject(ClassEventTree)
  {
  }
  PceEventTree(PceArg root) :
    PceObject(ClassEventTree, root)
  {
  }
};

inline PceEventTree
AsEventTree(PceArg a)
{ return *((PceEventTree*) &a);
}

#endif /*!_PCE_EVENTTREE_H*/
